BaseGraphComponent::Edge Class Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
BaseGraphComponent::Edge Class Reference

## Detailed Description

This class represents the undirected edges of the graph. Undirected graphs can be used as directed graphs, each edge is represented by two opposite directed arcs.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for BaseGraphComponent::Edge:
[legend]

## Public Member Functions
| Edge ()
| Default constructor. More...
| Edge (const Edge &)
| Copy constructor. More...
| Edge (Invalid)
| Constructor for conversion from `INVALID`. More...
| Edge (const Arc &)
| Constructor for conversion from an arc. More...
Public Member Functions inherited from GraphItem<'e'>
| GraphItem ()
| Default constructor. More...
| GraphItem (const GraphItem &)
| Copy constructor. More...
| GraphItem (Invalid)
| Constructor for conversion from `INVALID`. More...
GraphItem & | operator= (const GraphItem &)
| Assignment operator. More...
GraphItem & | operator= (Invalid)
| Assignment operator for INVALID. More...
bool | operator== (const GraphItem &) const
| Equality operator. More...
bool | operator!= (const GraphItem &) const
| Inequality operator. More...
bool | operator< (const GraphItem &) const
| Ordering operator. More...

## Constructor & Destructor Documentation

Edge | ( |  | ) |
| inline

Default constructor.

Warning
  The default constructor is not required to set the item to some well-defined value. So you should consider it as uninitialized.

Edge | ( | const Edge & |  | ) |
| inline

Copy constructor.

Edge | ( | Invalid |  | ) |
| inline

Constructor for conversion from `INVALID`. It initializes the item to be invalid.

See Also
  Invalid for more details.

Edge | ( | const Arc & |  | ) |
| inline

Constructor for conversion from an arc. Besides the core graph item functionality each arc should be convertible to the represented edge.